Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a fresh installation of Ubuntu 12.04 and my system is promptly updated.

I have installed the game Five Or More (earlier called gLines) through Software Center.

The game crashed silently without opening and without any report. I uninstalled it and then installed the entire gnome-games suite through synaptic. Five or More still does not open.

I notice also that the gnome game 'Swell Foop' is reduced in size and does not have the resize window option.

Can some one help?

share|improve this question
    
Try running glinesfrom a terminal and post any errors you see there. –  SirCharlo Jul 19 '12 at 13:32
    
Ran glines from a terminal ` > glines Segmentation fault ` –  narayana Jul 20 '12 at 4:13
    
Check out my edited answer and see if it helps. –  SirCharlo Jul 20 '12 at 18:38
    
Looks like this bug is affecting several other people and is accorded a "critical" status.. can one hope a regular update correcting the issue soon? Ref: bugs.launchpad.net/ubuntu/+source/gnome-games/+bug/995281 –  narayana Jul 24 '12 at 9:11

3 Answers 3

This is a documented bug.

To fix it, download this patch.

Instructions on how to apply patches can be found here. You must first download the source code of the gnome-games package, and then apply the patch to the source code.


If the patch doesn't work, you can also do things manually.

First, download the source code and untar it.

Next, open up the file glines/glines.c in a text editor.

Modify this part:

guint i;
cairo_pattern_t *pattern;

for (i = 0; i < MAXNPIECES; i++) {

So that it becomes this:

guint i;
cairo_pattern_t *pattern;

if (preview[0] == 0)
  init_preview();

for (i = 0; i < MAXNPIECES; i++) {

Also, modify this part:

gtk_widget_show_all (app);

start_game ();

So that it becomes this:

gtk_widget_show_all (app);

reset_game ();

start_game ()

Save the file and exit the text editor.

Now, you can configure, build, and install the games.

./configure
make
sudo make install
share|improve this answer
    
copied the tar.gz file of gnome games; extracted it onto my desktop; copied the 'patch' SirCharlo pointed to into a text file 'gnomegames.patch'; cd'ed into the glines folder and tried this: (I am sorry the code is appearing lousy here..do not know how to edit this) ` patch glines.c gnomegames.patch patching file glines.c patch: **** malformed patch at line 18: @@ -1614,6 +1617,7 @@ main (int argc, char *argv[])` Is this what I am to do, and shall i make install it now? –  narayana Jul 20 '12 at 12:00
    
Ok, well you can also simply open up the file, glines/glines.c and add the necessary lines. I've edited my post to reflect the new steps. –  SirCharlo Jul 20 '12 at 13:14
    
Well I opened glines.c and tried to add the above two sets of lines. There was no problem with the second set ( reset_game() bit). The " Cairo_pattern..." thing does not exist anywhere in proram though! I have added the lines above the (for(i-0...) and all and tried to run configure. It appears my newly installed Ubuntu does not posses various dependant packages..I am going on installing one package after the other...it has still not ended!! :( –  narayana Jul 24 '12 at 8:52

For all the people out there trying to get it working as soon as possible I've created a fixed package for Ubuntu 12.04 (32 Bit). You can just download and install it with the gui (double click) or in terminal (with dpkg -i filename.deb) until the fixed package is in Ubuntu...

Merry Christmas!

Download: https://bugs.launchpad.net/ubuntu/+source/gnome-games/+bug/995281/+attachment/3467875/+files/glines_3.4.1-0ubuntu2.1_i386.deb

Additional Informations: https://bugs.launchpad.net/ubuntu/+source/gnome-games/+bug/995281/comments/22

share|improve this answer

The solution provided by Sir Charlo works on ubuntu 12.04 32 bit (thank you!). Download the source code (gnome-games_3.4.1.orig.tar.xz) click on it and extract it anywhere (eg. home).

Manually correct (eg with gedit) the gnome-games-3.4.1/glines/src/glines.c file as listed above (use the "find" function to find the lines) save the file, remove gnome-games if already installed.

cd into the file eg. (if it is in your home directory) cd yourusername/gnome-gemes_3.4.1/. When you run ./configure it will tell you there are missing packages which you will need to install, but the names given are not necessarily the names you will find in the software centre.

I would suggest installing the following packages before you run ./configure:

sudo apt-get install python-gobject-2-dev libffi-dev python-dev python2.7-dev libssl-dev libclutter-gtk-1.0-dev gir1.2-gtkclutter-1.0 libclutter-1.0-dev libjson-glib-dev libcogl-dev sqlite libsqlite3-dev itstool intltool libcanberra-gtk3-dev libcanberra-gtk-common-dev libglib2.0-dev libcairo-script-interpreter2 libcairo2-dev libpango1.0-dev
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.